// This creates a simple hello world window
package main

import 	(
	"go.wit.com/log"
	"go.wit.com/gui/gui"
)

var myGui *gui.Node // This is the beginning of the binary tree of widgets

// go will sit here until the window exits
func main() {
	myGui = gui.New().Default()
	myGui.LoadToolkit("nocui")

	helloworld()
	gui.Watchdog()
}

// This initializes the first window, a group and a button
func helloworld() {
	window := myGui.NewWindow("hello world")

	box := window.NewBox("bw vbox", false)
	group := box.NewGroup("foo bar")
	group.NewButton("hello", func() {
		log.Println("world")
	})
}
